package com.yfyy.yingtan.bean.request;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

// 绿地监测-模型
public class LdReqBean {

    private String device_id;// 设备 ID
    private String received_time;// 数据上报时间
    private String f_cnt_up;// 上行计数

    @JsonProperty("WindSpeed")
    private String WindSpeed;// 风速
    @JsonProperty("WindDirection")
    private String WindDirection;// 风向
    @JsonProperty("Illuminance")
    private String Illuminance;// 光照度
    @JsonProperty("Rainfall")
    private String Rainfall;// 雨量
    @JsonProperty("SoilTemperature")
    private String SoilTemperature;// 温度(℃)
    @JsonProperty("SoilHumidity")
    private String SoilHumidity; // 湿度(%)
    @JsonProperty("SoilPH")
    private String SoilPH;// ph

    public LdReqBean() {
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getReceived_time() {
        return received_time;
    }

    public void setReceived_time(String received_time) {
        this.received_time = received_time;
    }

    public String getF_cnt_up() {
        return f_cnt_up;
    }

    public void setF_cnt_up(String f_cnt_up) {
        this.f_cnt_up = f_cnt_up;
    }

    @JSONField(name = "WindSpeed")
    public String getWindSpeed() {
        return WindSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        WindSpeed = windSpeed;
    }

    @JSONField(name = "WindDirection")
    public String getWindDirection() {
        return WindDirection;
    }

    public void setWindDirection(String windDirection) {
        WindDirection = windDirection;
    }

    @JSONField(name = "Illuminance")
    public String getIlluminance() {
        return Illuminance;
    }

    public void setIlluminance(String illuminance) {
        Illuminance = illuminance;
    }

    @JSONField(name = "Rainfall")
    public String getRainfall() {
        return Rainfall;
    }

    public void setRainfall(String rainfall) {
        Rainfall = rainfall;
    }

    @JSONField(name = "SoilTemperature")
    public String getSoilTemperature() {
        return SoilTemperature;
    }

    public void setSoilTemperature(String soilTemperature) {
        SoilTemperature = soilTemperature;
    }

    @JSONField(name = "SoilHumidity")
    public String getSoilHumidity() {
        return SoilHumidity;
    }

    public void setSoilHumidity(String soilHumidity) {
        SoilHumidity = soilHumidity;
    }

    @JSONField(name = "SoilPH")
    public String getSoilPH() {
        return SoilPH;
    }

    public void setSoilPH(String soilPH) {
        SoilPH = soilPH;
    }
}
